gnutls_x509_crl_set_authority_key_id(3)

NAME
gnutls_x509_crl_set_authority_key_id - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_set_authority_key_id(gnutls_x509_crl_t crl, const void * id, size_t id_size);

ARGUMENTS

gnutls_x509_crl_t crl
    a CRL of type gnutls_x509_crl_t

const void * id
    The key ID

size_t id_size
    Holds the size of the serial field.

DESCRIPTION
This function will set the CRL's authority key ID extension. Only the keyIdentifier field can be set with this function. This may be used by an authority that holds multiple private keys, to distinguish the used key.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.8.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/